QGIS Application - Bug report #18488
processing providers load algorithms even if not active
2018-03-20 01:05 PM - Rashad Kanavath

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No
Operating System: Linux Easy fix?: Yes
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 26376
Description

if OTB, GRASS, SAGA providers are disabled qgis will tries to load algorithms anyway.

To reproduce:
try disable any of provider by unchecking "activate". you can see it will load their algorithms.

Here is a diff for SAGA:

index ¢33795dd40..94cdd925e3 100644

--- a/python/plugins/processing/algs/saga/SagaAlgorithmProvider.py

+++ b/python/plugins/processing/algs/saga/SagaAlgorithmProvider.py

@@ -79,6 +79,8 @@ class SagaAlgorithmProvider(QgsProcessingProvider):
ProcessingConfig.setSettingValue('ACTIVATE_SAGA', active)

def loadAlgorithms(self):
+ if not self.isActive()
+ return
version = SagaUltils.getinstalledVersion(True)
if version is None:
QgsMessagelog.logMessage(self.tr('Problem with SAGA installation: SAGA was not found or is not correctly installed’),

OTB is fixed, GRASS GIS, GDAL, QGIS to be done.

Associated revisions

Revision 9ab4d963 - 2018-03-20 10:45 PM - Nyall Dawson

[processing] Don't try to load algorithms for disabled providers

Fixes #18488

Revision 21605a1a - 2018-03-21 12:08 AM - Nyall Dawson

[processing] Don't try to load algorithms for disabled providers

Fixes #18488
(cherry-picked from 9ab4d963)

History

#1 - 2018-03-20 10:45 PM - Nyall Dawson
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|9ab4d96362464b9785e869e34aa776d7a59212c6.
